package meerkat.bulletinboard.sqlserver.mappers;

import com.google.protobuf.ByteString;
import meerkat.protobuf.BulletinBoardAPI.BatchData;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Created by Arbel Deutsch Peled on 19-Dec-15.
 */
public class BatchDataMapper implements RowMapper<BatchData> {

    @Override
    public BatchData mapRow(ResultSet rs, int rowNum) throws SQLException {

        return BatchData.newBuilder().setData(ByteString.copyFrom(rs.getBytes(rowNum))).build();

    }
}
