package meerkat.crypto.concrete;

import com.google.protobuf.Message;
import meerkat.crypto.BatchDigest;
import meerkat.protobuf.BulletinBoardAPI.*;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 19-Dec-15.
 */
public abstract class GenericBatchDigest implements BatchDigest{


    @Override
    public void update(BeginBatchMessage beginBatchMessage, List<BatchData> batchDataList) {
        update(beginBatchMessage);
        for (BatchData batchData : batchDataList) {
            update(batchData);
        }
    }

    @Override
    // Repeated here to circumvent compiler error
    public abstract BatchDigest clone() throws CloneNotSupportedException;

}
